## openconnect 2.12

=== Makefile ===
--- 
+++ 
@@ -51,12 +51,22 @@
 
 CFLAGS_nm-auth-dialog.o += $(GTK_CFLAGS) $(GCONF_CFLAGS) $(XML2_CFLAGS)
 
+SYSTEM_INCLUDES=/usr/include
+IF_TUN_HDR := $(firstword $(wildcard $(SYSTEM_INCLUDES)/linux/if_tun.h \
+				     $(SYSTEM_INCLUDES)/net/if_tun.h \
+				     $(SYSTEM_INCLUDES)/net/tun/if_tun.h))
+ifneq ($(IF_TUN_HDR),)
+CFLAGS_tun.o += -DIF_TUN_HDR=\"$(patsubst $(SYSTEM_INCLUDES)/%,%,$(IF_TUN_HDR))\"
+endif
+
 OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
 CONNECTION_OBJS := dtls.o cstp.o mainloop.o tun.o 
 AUTH_OBJECTS := ssl.o http.o version.o securid.o auth.o
 
 VERSION_OBJS := $(filter-out version.o, \
 		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))
+
+.PHONY: all maybe-auth-dialog clean realclean install tag tarball
 
 all: openconnect maybe-auth-dialog
 
@@ -82,6 +92,12 @@
 
 clean:
 	rm -f *.o *.a openconnect $(wildcard .*.o.dep)
+ifeq ($(MISSINGPKGS),)
+	rm -f nm-openconnect-auth-dialog
+endif
+
+realclean: clean
+	rm -f *~
 
 install: all
 	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/libexec
