=== debian/changelog ===
openconnect (2.26-1maemo) unstable; urgency=low

  * ported latest stable openconnect 2.26 release, included patches from 
    openconnect-2.12 package from Pascal Jermini <lorelei@garage.maemo.org> :
    - Don't loop on wrong username/password
    - Added a fflush() after printing out progress information: helps
      with the piping to openconnect-gui
    - Added --passwd option in order to pass password directly on the command
      line

 -- Geert Steyaert <geert.steyaert@gmail.com>  Fri, 28 Jan 2011 16:02:00 +0100
