=== debian/control ===
Source: openconnect
Section: user/network
Priority: optional
Maintainer: Geert Steyaert <geert.steyaert@gmail.com> & Pascal Jermini <lorelei@garage.maemo.org>
Build-Depends: debhelper (>= 5), libssl-dev (>=0.9.8e), libxml2-dev (>=2.6.27)
Standards-Version: 3.7.2

Package: openconnect
Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=OpenConnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8e), libxml2 (>= 2.6.27)
Description: VPN Client for Cisco VPN Concentrators
 OpenConnect is an open client for the Cisco AnyConnect SSL VPN solution
 (Official web page: http://www.infradead.org/openconnect.html)
