## openconnect 3.02

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,11 @@
 SSL_CFLAGS += -I$(OPENSSL)/include
 SSL_LDFLAGS += $(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a
 else
-ifeq ($(wildcard /usr/include/openssl),)
-$(error "No OpenSSL in /usr/include/openssl. Cannot continue");
+SSL_CFLAGS += $(shell pkg-config --cflags libssl)
+SSL_LDFLAGS += $(shell pkg-config --libs libssl)
+ifeq ($(SSL_LDFLAGS),)
+$(error "No OpenSSL support. Cannot continue");
 endif
-SSL_CFLAGS += -I/usr/include/openssl
-SSL_LDFLAGS += -lcrypto -lssl
 endif
 
 XML2_CFLAGS += $(shell xml2-config --cflags) 
@@ -48,14 +48,14 @@
 LDFLAGS += -lproxy
 endif
 
-OPENCONNECT_OBJS := main.o $(SSL_UI) xml.o
+OPENCONNECT_OBJS := xml.o main.o $(SSL_UI)
 CONNECTION_OBJS := dtls.o cstp.o mainloop.o tun.o 
-AUTH_OBJECTS := ssl.o http.o version.o securid.o auth.o
+AUTH_OBJECTS := ssl.o http.o version.o auth.o library.o
 
 VERSION_OBJS := $(filter-out version.o, \
 		$(OPENCONNECT_OBJS) $(CONNECTION_OBJS) $(AUTH_OBJECTS))
 
-.PHONY: all clean realclean install tag tarball
+.PHONY: all clean realclean install tag tarball openconnect.pc
 
 all: openconnect
 
@@ -63,7 +63,8 @@
 	$(AR) rcs $@ $^
 
 version.c: $(patsubst %.o,%.c,$(VERSION_OBJS)) Makefile openconnect.h \
-		$(wildcard .git/index .git/refs/tags) version.sh
+	   openconnect-internal.h $(wildcard .git/index .git/refs/tags) \
+	   version.sh
 	@./version.sh
 
 openconnect: $(OPENCONNECT_OBJS) $(CONNECTION_OBJS) libopenconnect.a
@@ -73,13 +74,15 @@
 	$(CC) -c -o $@ $(CFLAGS) $(CFLAGS_$@) $< -MD -MF .$@.dep
 
 clean:
-	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config
+	rm -f *.o *.a openconnect $(wildcard .*.o.dep .*.h.dep) Make.config openconnect.pc
 
 realclean: clean
 	rm -f *~
 
 install: all
-	install -m0755 openconnect $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man8
+	install -m 0755 openconnect $(DESTDIR)/usr/bin
+	install -m 0644 openconnect.8 $(DESTDIR)/usr/share/man/man8
 
 include /dev/null $(wildcard .*.o.dep)
 
@@ -92,6 +95,24 @@
 	( echo "IF_TUN_HDR := $(IF_TUN_H)"; echo "LIBPROXY_HDR := $(LIBPROXY_H)" ) > $@
 
 -include Make.config
+
+INCDIR := /usr/include
+LIBDIR := /usr/lib
+PKGCONFIGDIR := ${LIBDIR}/pkgconfig
+ifeq ($(LIBPROXY_HDR),)
+LIBPROXYPC :=
+else
+LIBPROXYPC := libproxy-1.0
+endif
+
+openconnect.pc: VERSION = $(shell sed 's/.*v\(.*\)";/\1/' version.c)
+openconnect.pc: openconnect.pc.in version.c
+	sed -e 's^VERSION^$(VERSION)^' -e 's^LIBDIR^$(LIBDIR)^' -e 's^LIBPROXY^$(LIBPROXYPC)^' $< > $@
+
+install-lib: libopenconnect.a openconnect.pc
+	install -D -m 0644 libopenconnect.a $(DESTDIR)$(LIBDIR)/libopenconnect.a
+	install -D -m 0644 openconnect.pc $(DESTDIR)$(PKGCONFIGDIR)/openconnect.pc
+	install -D -m 0644 openconnect.h $(DESTDIR)$(INCDIR)/openconnect.h
 
 ifdef VERSION
 tag:
