=== debian/changelog ===
openconnect (3.02-1) experimental; urgency=low

  * New upstream release
  * Add patch from upstream to fix linking on Debian

 -- Ross Burton <ross@debian.org>  Wed, 11 May 2011 11:55:34 +0100

openconnect (2.25-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #566188)
    - always verify SSL server certificates (Closes: #590873)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Aug 2010 11:21:16 +0100

openconnect (2.22-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix kFreeBSD detection (Closes: #577004) using patch from Petr Salinger 

 -- Christoph Egger <christoph@debian.org>  Sat, 17 Jul 2010 16:06:33 -0400

openconnect (2.22-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Thu, 25 Mar 2010 16:11:35 +0000

openconnect (2.01-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 24 Jun 2009 19:17:44 +0100

openconnect (2.00-1) unstable; urgency=low

  * New upstream release.
  * Add fixes from upstream up to rev d45d92

 -- Ross Burton <ross@debian.org>  Tue, 16 Jun 2009 15:32:46 +0100

openconnect (1.40-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 27 May 2009 15:50:36 +0100

openconnect (1.00-1) unstable; urgency=low

  * New upstream release
    - Remove leak.patch
  * Reword the description

 -- Ross Burton <ross@debian.org>  Wed, 18 Mar 2009 10:45:13 +0000

openconnect (0.99-2) unstable; urgency=low

  * Add patch from upstream to fix chronic memory leak.

 -- Ross Burton <ross@debian.org>  Fri, 06 Feb 2009 15:50:54 +0000

openconnect (0.99-1) unstable; urgency=low

  * New upstream release.
  * Update copyright information
  * Add watch file
  * Add Homepage field

 -- Ross Burton <ross@debian.org>  Thu, 15 Jan 2009 13:26:25 +0000

openconnect (0.98-3) unstable; urgency=low

  * Bump Standards
  * Add misc:Depends
  * Remove vpnc wrapper and depends

 -- Ross Burton <ross@debian.org>  Wed, 14 Jan 2009 12:21:50 +0000

openconnect (0.98-2) unstable; urgency=low

  * Disable the GTK+ UI, so that Network Manager support works.

 -- Ross Burton <ross@debian.org>  Wed, 14 Jan 2009 11:22:20 +0000

openconnect (0.98-1) unstable; urgency=low

  * New upstream release.
  * Add more netmasks (thanks Shane Bryan)

 -- Ross Burton <ross@debian.org>  Sat, 15 Nov 2008 11:55:18 +0000

openconnect (0.96-1) unstable; urgency=low

  * New upstream release.
  * Enable the GTK+ passcode dialog

 -- Ross Burton <ross@debian.org>  Tue, 28 Oct 2008 09:29:21 +0000

openconnect (0.95.1-2) unstable; urgency=low

  * Install the NM helper into the correct location.

 -- Ross Burton <ross@debian.org>  Fri, 24 Oct 2008 16:15:20 +0100

openconnect (0.95.1-1) unstable; urgency=low

  * Initial packaging.

 -- Ross Burton <ross@debian.org>  Thu, 23 Oct 2008 12:01:37 +0100
