=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>> 7.0.50), pkg-config, libssl-dev (>= 0.9.8g-14), libxml2-dev
Standards-Version: 3.9.2
Homepage: http://git.infradead.org/users/dwmw2/openconnect.git

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN
 OpenConnect is an open client for the Cisco AnyConnect VPN.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - library files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package is the client as a static library for use by front-ends.
