=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --list-missing

override_dh_auto_install:
	dh_auto_install -- install install-lib
