## openconnect 3.15

=== debian/changelog ===
openconnect (3.15-0ubuntu2) precise; urgency=low

  * debian/control: add the missing Conflicts/Replaces for libopenconnect1; due
    to the move of the .a file from libopenconnect-dev to libopenconnect1.
    (LP: #940705)
  * debian/libopenconnect-dev.install, debian/libopenconnect1.install: move the
    libopenconnect.a file back to libopenconnect-dev where it really belongs,
    which was an error from the previous upload.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 09 Apr 2012 13:21:18 -0400

openconnect (3.15-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #905488)
  * debian/patches/fix-link.patch: dropped, included upstream.
  * debian/control:
    - add a libopenconnect1 package.
    - adjust Build-Depends, the build now requires libproxy and python.
  * debian/openconnect.install:
    - the openconnect binary moved from /usr/bin to /usr/sbin.
    - install everything that should be in /usr/share, not just manpages.
    - install openconnect documentation in /usr/share/doc/openconnect instead
      of /usr/share/openconnect.
  * debian/libopenconnect1.install: install the shared libraries.
  * debian/libopenconnect-dev.install: ensure we only install includes and the
    symlink to the shared library along with the pkgconfig files for the
    development package. 
  * debian/rules: add an override for dh_install to clean up .la files.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 23 Feb 2012 14:32:09 -0500

openconnect (3.02-2) unstable; urgency=low

  * Upload to unstable.

 -- Ross Burton <ross@debian.org>  Wed, 11 May 2011 11:55:34 +0100
