=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>> 7.0.50), pkg-config, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev, python
Standards-Version: 3.9.2
Homepage: http://git.infradead.org/users/dwmw2/openconnect.git

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - binaries
 OpenConnect is an open client for the Cisco AnyConnect VPN.

Package: libopenconnect1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopenconnect-dev (<< 3.15-0ubuntu2)
Replaces: libopenconnect-dev (<< 3.15-0ubuntu2)
Description: Open client for Cisco AnyConnect VPN - library files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package contains the openconnect library for use by front-ends.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: libopenconnect1 (= ${binary:Version}), ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - development files
 OpenConnect is an open client for the Cisco AnyConnect VPN.
 .
 This package is the development files needed by front-ends to interface
 with the openconnect library.
