=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --list-missing

override_dh_install:
	find . -name "*.la" -exec rm -f {} \;
	dh_install
