## openconnect 3.20

=== debian/changelog ===
openconnect (3.20-4) unstable; urgency=low

  * debian/patches/03_fix-abuse-of-realloc.patch: Backport patch from upstream
    to fix possible memory leaks on realloc. (Closes: #700805)

 -- Mike Miller <mtmiller@ieee.org>  Thu, 28 Feb 2013 23:42:31 -0500

openconnect (3.20-3) unstable; urgency=low

  * debian/patches/02_CVE-2012-6128.patch: Backport patch from upstream to fix
    buffer overflow (CVE-2012-6128). (Closes: #700794)

 -- Mike Miller <mtmiller@ieee.org>  Sun, 17 Feb 2013 11:56:35 -0500

openconnect (3.20-2) unstable; urgency=low

  * Depend on vpnc-scripts for routing and DNS configuration. (Closes:
    #566193)
  * Add 01_man-vpnc-script-path.patch to fix man page to match the
    default vpnc-script path in Debian.
  * Add DM-Upload-Allowed flag.

 -- Mike Miller <mtmiller@ieee.org>  Wed, 06 Jun 2012 08:45:27 -0400

openconnect (3.20-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright for 2012.
  * Update libopenconnect1.symbols for versioned shared library ABI.

 -- Mike Miller <mtmiller@ieee.org>  Thu, 17 May 2012 22:06:31 -0400

openconnect (3.18-1) unstable; urgency=low

  * New upstream release

 -- Mike Miller <mtmiller@ieee.org>  Wed, 02 May 2012 21:02:47 -0400

openconnect (3.17-1) unstable; urgency=low

  * New upstream release
    - Simplify install path for HTML docs
    - Add required configuration path to vpnc script
  * Use dpkg-buildflags for compiler options, support hardened build
  * Add Vcs-* fields for the git repository

 -- Mike Miller <mtmiller@ieee.org>  Sat, 21 Apr 2012 08:48:41 -0400

openconnect (3.16-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS on kfreebsd and hurd (Closes: #667996)
  * Build and install HTML docs, copy the upstream changelog
  * Fix Homepage address
  * Remove debian/TODO, contents all done

 -- Mike Miller <mtmiller@ieee.org>  Mon, 09 Apr 2012 21:27:54 -0400

openconnect (3.15-2) unstable; urgency=low

  * Fix minimum version for shared library symbol

 -- Mike Miller <mtmiller@ieee.org>  Sat, 31 Mar 2012 09:38:14 -0400

openconnect (3.15-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #619967, #637362)
    - Package new shared library, remove static library
    - Remove fix-link.patch, already in 3.15
  * Update description from upstream homepage (Closes: #521831)
  * Update debian/copyright to machine-readable format 1.0
  * Clean up package dependencies
    - Add deps on libssl-dev and libxml2-dev for -dev package
    - Add libproxy to build-deps and library deps
  * Bump Standards-Version to 3.9.3

 -- Mike Miller <mtmiller@ieee.org>  Wed, 28 Mar 2012 22:49:19 -0400
