=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Mike Miller <mtmiller@ieee.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 7.0.50), pkg-config, python, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
Homepage: http://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc-scripts
Description: Open client for Cisco AnyConnect VPN
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

Package: libopenconnect1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open client for Cisco AnyConnect VPN - shared library
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the shared library.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenconnect1 (= ${binary:Version}), libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
Description: Open client for Cisco AnyConnect VPN - development files
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the header and development files.
