=== debian/watch ===
version=3
ftp://ftp.infradead.org/pub/openconnect/openconnect-(.*)\.tar\.gz
