## openconnect 4.06

=== debian/changelog ===
openconnect (4.06-1ubuntu1) quantal; urgency=low

  * Sync with Debian and reapply Ubuntu changes:
  * Build-depend on libgnutls-dev (>= 2.12.14), the newest version available
    in Ubuntu.
  * debian/patches/02-ubuntu-gnutls-backport.patch: work around known bug in
    GnuTLS 2.12.14.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 12 Aug 2012 09:10:09 -0400

openconnect (4.06-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-Check-for-system-CA-certificate-file-for-GnuTLS.patch:
    Remove, applied upstream.

 -- Mike Miller <mtmiller@ieee.org>  Mon, 23 Jul 2012 23:30:35 -0400

openconnect (4.05-1ubuntu1) quantal; urgency=low

  * Build-depend on libgnutls-dev (>= 2.12.14), the newest version available
    in Ubuntu.
  * debian/patches/02-ubuntu-gnutls-backport.patch: work around known bug in
    GnuTLS 2.12.14.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 22 Jul 2012 12:14:40 -0400

openconnect (4.05-1) experimental; urgency=low

  * New upstream release.
  * Use dh-autoreconf to regenerate the build system.
  * debian/patches/01-Check-for-system-CA-certificate-file-for-GnuTLS.patch:
    Cherry-pick from upstream to allow configuring the default CA certificate
    path.
  * Configure with the path to the ca-certificates bundle.
  * Add Recommends: ca-certificates to libopenconnect2 to use its provided
    certificates by default.
  * Build-depend on groff for building HTML docs.

 -- Mike Miller <mtmiller@ieee.org>  Sat, 21 Jul 2012 15:29:27 -0400

openconnect (4.04-1~exp1) experimental; urgency=low

  * New upstream release. (Closes: #677939)
  * Remove 01_man-vpnc-script-path.patch, applied upstream.
  * Bump libopenconnect soname (1 -> 2) and update symbols file.
  * Build against GnuTLS.
    - Build-depend on libgnutls-dev (>= 2.12.16).
    - Build-depend on libp11-kit-dev.
    - Still build-depend on libssl-dev for openconnect executable only.
  * Enable verbose build (V=1) for more useful build logs.
  * Bump debhelper compatibility to version 9.
  * Set Multi-Arch: same and update library install paths for multiarch.

 -- Mike Miller <mtmiller@ieee.org>  Tue, 10 Jul 2012 23:21:17 -0400
