=== debian/control ===
--- 
+++ 
@@ -1,9 +1,19 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 7.0.50), pkg-config, python, libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
+Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
+ groff,
+ pkg-config,
+ python,
+ libgnutls-dev (>= 2.12.14),
+ libp11-kit-dev,
+ libproxy-dev,
+ libssl-dev (>= 0.9.8g-14),
+ libxml2-dev
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
@@ -17,10 +27,13 @@
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 
-Package: libopenconnect1
+Package: libopenconnect2
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Description: Open client for Cisco AnyConnect VPN - shared library
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
@@ -31,7 +44,12 @@
 Package: libopenconnect-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenconnect1 (= ${binary:Version}), libssl-dev (>= 0.9.8g-14), libxml2-dev, libproxy-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libopenconnect2 (= ${binary:Version}),
+ libgnutls-dev (>= 2.12.14),
+ libp11-kit-dev,
+ libproxy-dev,
+ libxml2-dev
 Description: Open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
