## openconnect 4.07

=== debian/changelog ===
openconnect (4.07-1) experimental; urgency=low

  * New upstream release.

 -- Mike Miller <mtmiller@ieee.org>  Sat, 01 Sep 2012 10:07:59 -0400
