=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Mike Miller <mtmiller@ieee.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
  pkg-config,
  python,
- libgnutls-dev (>= 2.12.14),
+ libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
  libssl-dev (>= 0.9.8g-14),
@@ -46,7 +45,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libopenconnect2 (= ${binary:Version}),
- libgnutls-dev (>= 2.12.14),
+ libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
  libxml2-dev
