=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,17 @@
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
 export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
+export V = 1
 
 %:
-	dh $@ --list-missing
+	dh $@ --with autoreconf --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-static \
+		--with-gnutls \
 		--htmldir=/usr/share/doc/openconnect/html \
+		--with-system-cafile=/etc/ssl/certs/ca-certificates.crt \
 		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
 	# Do not let version.c get rebuilt from our git repo
 	touch version.c
