## openconnect 5.01

=== debian/changelog ===
openconnect (5.01-1) unstable; urgency=low

  * New upstream release.
    - Fix abuse of realloc() causing memory leaks. (Closes: #700805)
    - Fix compatibility with certain connection forms. (Closes: #708207)
    - Improve error handling when server closes connection. (Closes: #708928)
  * Update shlibs and symbols files for libopenconnect2.
  * debian/rules: Do not check for broken DTLS in OpenSSL, it has been
    patched in the Debian openssl package.
  * Add Build-Depends on liboath-dev.
  * Add missing explicit dependency on zlib1g-dev
    - Add Build-Depends on zlib1g-dev.
    - Add Depends on zlib1g-dev to libopenconnect-dev.

 -- Mike Miller <mtmiller@ieee.org>  Sun, 02 Jun 2013 11:18:58 -0400

openconnect (4.99-2) unstable; urgency=low

  * Upload to unstable.

 -- Mike Miller <mtmiller@ieee.org>  Tue, 07 May 2013 19:46:22 -0400

openconnect (4.99-1) experimental; urgency=low

  * New upstream release (5.00 beta release).
  * Update symbols file for libopenconnect2.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Remove obsolete DM-Upload-Allowed control field.
  * Canonicalize Vcs-* control fields.

 -- Mike Miller <mtmiller@ieee.org>  Fri, 15 Feb 2013 09:14:15 -0500

openconnect (2.25-0.1+squeeze2) stable-security; urgency=high

  * debian/patches/02_CVE-2012-6128.patch: Backport patch from upstream to fix
    buffer overflow (CVE-2012-6128).

 -- Mike Miller <mtmiller@ieee.org>  Wed, 13 Feb 2013 19:55:03 -0500

openconnect (2.25-0.1+squeeze1) stable-security; urgency=high

  * Apply patch from upstream to fix buffer overflow (CVE-2012-3291)

 -- Mike Miller <mtmiller@ieee.org>  Thu, 14 Jun 2012 02:56:51 -0400
