=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Mike Miller <mtmiller@ieee.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
  pkg-config,
  python,
  libgnutls-dev (>= 2.12.16),
+ liboath-dev,
  libp11-kit-dev,
  libproxy-dev,
  libssl-dev (>= 0.9.8g-14),
- libxml2-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/openconnect.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/openconnect.git
+ libxml2-dev,
+ zlib1g-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/openconnect.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openconnect.git
 Homepage: http://www.infradead.org/openconnect/
 
 Package: openconnect
@@ -48,7 +49,8 @@
  libgnutls-dev (>= 2.12.16),
  libp11-kit-dev,
  libproxy-dev,
- libxml2-dev
+ libxml2-dev,
+ zlib1g-dev
 Description: Open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
