=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh_auto_configure -- \
 		--disable-static \
 		--with-gnutls \
+		--without-openssl-version-check \
 		--htmldir=/usr/share/doc/openconnect/html \
 		--with-system-cafile=/etc/ssl/certs/ca-certificates.crt \
 		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
