=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openconnect
 Section: net
 Priority: optional
-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  groff,
@@ -14,7 +14,7 @@
  libssl-dev (>= 0.9.8g-14),
  libxml2-dev,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/openconnect.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openconnect.git
 Homepage: http://www.infradead.org/openconnect/
@@ -22,7 +22,7 @@
 Package: openconnect
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, vpnc-scripts
-Description: Open client for Cisco AnyConnect VPN
+Description: open client for Cisco AnyConnect VPN
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
@@ -34,7 +34,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
-Description: Open client for Cisco AnyConnect VPN - shared library
+Description: open client for Cisco AnyConnect VPN - shared library
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
@@ -51,7 +51,7 @@
  libproxy-dev,
  libxml2-dev,
  zlib1g-dev
-Description: Open client for Cisco AnyConnect VPN - development files
+Description: open client for Cisco AnyConnect VPN - development files
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
